function [ alfa ] = base2interi( x )
%base2interi  conversione di un numero intero in base 2
%   x = alfa_p* 2^p + alfa_(p-1)*2^(p-1) + ... + alfa_1 * 2^1 + alfa_0 * 2^0
%   x = 2*x_1 + alfa_0
i=0;
alfa = zeros(1,100);
while ( x~= 0) && (i<=100)
    i = i+1;
    alfa(i) = rem(x,2);
    x = fix(x/2);
end
alfa = alfa(1:i);
alfa = fliplr(alfa);
if (x~=0)
   error('Rappresentazione troppo lunga')
end





end

